/*================================= Estilos Pré definidos =================================*/
.bg-degrade{
	background-image: linear-gradient(18deg, #0e7a92, var(--color-contrast), var(--color-highlight));
}
.slides-column.elementor-element-edit-mode>div> .elementor-row, .row-wrap .elementor-widget-wrap{flex-wrap:wrap}
.slides-column.elementor-element-edit-mode>div> .elementor-row>div{
	width: 33.33%;
	max-width: 33.33%;
}
.ux-overlay{position:fixed!important}
.ux-overlay.elementor-element-edit-mode{position:relative!important;height:auto;}

/* Rows e Responsivo */
.row-swap .elementor-row > .elementor-element > .elementor-column-wrap {
    min-width: 160px;
}

.row-swap .elementor-row > .elementor-element{
    -webkit-box-flex: 0;
    -webkit-flex: 0 0 auto;
    -ms-flex: 0 0 auto;
    flex: 0 0 auto;
    width: auto;
}

.row-swap .elementor-row {
    display: flex;
    flex-wrap: nowrap;
    overflow-x: auto;
    overflow-y: hidden;
}

@media screen and (max-width: 1023px){
  .row-swap-mobile .elementor-row > .elementor-element, .column-swap-touch .elementor-widget-wrap {
      -webkit-box-flex: 0;
      -webkit-flex: 0 0 auto;
      -ms-flex: 0 0 auto;
      flex: 0 0 auto;
      width: auto;
  }

  .row-swap-mobile .elementor-row, .column-swap-touch .elementor-widget-wrap  > .elementor-element {
      display: flex;
      flex-wrap: nowrap;
      overflow-x: auto;
      overflow-y: hidden;
  }	
}

/* Sliders */
@media screen and (min-width: 1000px){
  .slide-vertical .slick-dots {
    width: 15px;
    position: absolute;
    left: -100px;
    bottom: 30px;
  }
  .slide-vertical .slick-dots li{
    margin-left: 0;
  }
  .slide-vertical .slick-dots li button {
    background: #ffffff;
    height: 22px;
    width: 14px;
  }
  .slide-vertical .slick-dots li.slick-active button {
    background: #ffffff;
    height: 34px;
    width: 14px;
  }

}
.slide-vertical .slick-dots li button{
  background: #ffffff;
}

.slick-arrow {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  border: 0;
  background: transparent;
  font-size: 0;
  color: var(--color-primary);
  transition: all 0.5s;
  z-index: 10;
  cursor: pointer;
  padding: 0;
  border-radius: 50px;
}

.slick-arrow:hover{
  background: transparent;
  color: var(--color-contrast);
}

.slick-arrow.slick-disabled {
  opacity: 0;
}

.slick-arrow.slick-prev {
    left: 0;
}

.slick-arrow.slick-prev:before {
    content: "chevron_left";
    background-repeat: no-repeat;
    background-position: center;
    background-size: contain;
}

.slick-arrow.slick-next {
    right: 0;
}

.slick-arrow.slick-next:before {
    content: "chevron_right";
    background-repeat: no-repeat;
    background-position: center;
    background-size: contain;
}

.slick-arrow:before {
    font-family: 'Material Icons';
    font-weight: normal;
    font-style: normal;
    font-size: 60px;
    /* Preferred icon size */
    display: inline-block;
    line-height: 1;
    text-transform: none;
    letter-spacing: normal;
    word-wrap: normal;
    white-space: nowrap;
    direction: ltr;

    /* Support for all WebKit browsers. */
    -webkit-font-smoothing: antialiased;
    /* Support for Safari and Chrome. */
    text-rendering: optimizeLegibility;

    /* Support for Firefox. */
    -moz-osx-font-smoothing: grayscale;

    /* Support for IE. */
    font-feature-settings: 'liga';
}

.slide-row-blocks-3 .slick-slide > .elementor-column-wrap >.elementor-widget-wrap,
.slide-row-blocks-4 .slick-slide > .elementor-column-wrap >.elementor-widget-wrap,
.slide-row-centered .slick-slide > .elementor-column-wrap >.elementor-widget-wrap{
  padding:10px;
}

.slick-dots li.slick-active button {
  background: var(--color-primary);
  width: 34px;
}

.slick-dots li {
    display: inline-block;
    margin-left: 10px;
}

.slick-dots li:first-child {
    margin-left: 0;
}

.slick-dots button {
  font-size: 0;
  padding: 0;
  min-width: initial;
  width: 22px;
  height: 10px;
  background: rgba(10, 52, 84, 0.4);
  display: block;
  border: 0;
  border-radius: 50px;
  transition: all 0.4s;
}

.slick-dots button:hover{
  background: rgba(10, 52, 84, 1);
}

.slick-dots {
    display: block;
    text-align: center;
    list-style: none;
    padding: 15px 10px;
    margin: 0 auto;
}

.slide-on-touch .slick-arrow {
    display: none !important;
}

.row-slider .elementor-posts .elementor-post:not(.slick-slide),
.row-slider .elementor-row > .elementor-element:not(.slick-slide) {
  min-width: 180px;
  -webkit-box-flex: 0;
  -webkit-flex: 0 0 auto;
  -ms-flex: 0 0 auto;
  flex: 0 0 auto;
  width: auto;
  padding: 7px;
}

.row-slider .elementor-posts:not(.slick-slider) > .elementor-post:not(:first-child),
.row-slider .elementor-row:not(.slick-slider) > .elementor-element:not(:first-child){
  display: none!important;
}

.slick-slider.elementor-grid, .row-slider .elementor-posts, .row-slider .elementor-row {
  display: block!important;
  padding: 0 50px;
}
.row-slider {
  padding-bottom: 50px;
}
.row-slider ul.slick-dots {
  position: absolute;
  left: 0;
  width: 100%;
  top: 100%;
}

.row-slider .slick-arrow {
}
.row-slider .slick-arrow.slick-prev {
  left: -10px;
}
.row-slider .slick-arrow.slick-next {
  right: -10px;
}

.row-slider.slide-icons .elementor-row .elementor-widget-container:hover {
  background: var(--color-primary);
}

@media screen and (max-width: 720px){
	div#whatsapp-fixed, .on-scrollToUp button#toUp {
		display: none;
	}
	
	.button-mobile .elementor-button{
		font-size: 15px !important;
		padding: 15px 20px 13px 20px;
        width: 100% !important;
        display: block;
    }
	
  .app-form .is-email ~ p {
    text-align: center;
  }
  .row-slider .slick-arrow.slick-prev {
    left: 0px;
  }
  .row-slider .slick-arrow.slick-next {
    right: 0px;
  }
  .slick-slider.elementor-grid, .row-slider .elementor-posts, .row-slider .elementor-row {
    padding: 50px 0 0px;
    position: relative;
  }
  .slick-slider.elementor-grid .slick-arrow:before, .row-slider .elementor-posts .slick-arrow:before, .row-slider .elementor-row .slick-arrow:before {
    font-size: 45px;
  }
  .slick-slider.elementor-grid .slick-arrow.slick-next, .row-slider .elementor-posts .slick-arrow.slick-next,.row-slider .elementor-row .slick-arrow.slick-next {
    right: 0;
  }
  .slick-slider.elementor-grid .slick-arrow.slick-prev, .row-slider .elementor-posts .slick-arrow.slick-prev,.row-slider .elementor-row .slick-arrow.slick-prev {
    left: initial;
    right: 45px;
  }
  .slick-slider.elementor-grid .slick-arrow, .row-slider .elementor-posts .slick-arrow,.row-slider .elementor-row .slick-arrow {
    transform: none;
    top: 0;
    padding: 0;
  }
  .row-slider.slide-icons .elementor-row {
    flex-wrap: nowrap!important;
    overflow-x: auto;
    display: flex!important;
    padding-top: 16px;
  }

  .row-slider.slide-icons .elementor-posts:not(.slick-slider) > .elementor-post:not(:first-child), .row-slider.slide-icons .elementor-row:not(.slick-slider) > .elementor-element:not(:first-child) {
    display: block!important;
  }
}

#fixed-bar .wpcf7-form-control-wrap input.wpcf7-form-control {
    max-width: 250px;
    padding: 15px 10px;
    border: solid 2px #000;
    border-right: 0;
}

/* Formulários */
.form_news {
    position: relative;
}
.form_news>span>input {
    width: 100%;
    padding: 15px 100px 15px 20px;
    border: 0;
    border-radius: 50px;
    font-size: 16px;
    min-height: 60px;
}
form div.form_news >input[type=submit] {
    padding: 10px;
    border: 0;
    background: var(--color-contrast)!important;
    position: absolute;
    top: 10px;
    right: 11px;
    border-radius: 50px;
    min-width: initial!Important;
    letter-spacing: initial;
    text-transform: none;
}
form div.form_news >input[type=submit]:hover{box-shadow:none;}
.wpcf7-not-valid-tip {
    background: #f30909;
    color: white;
    display: table;
    padding: 3px 10px;
    border-radius: 50px;
    font-size: 12px;
    letter-spacing: 0.1em;
    margin: 10px 10px 0;
}
.wpcf7 form.invalid .wpcf7-response-output, .wpcf7 form.unaccepted .wpcf7-response-output {
    border-color: #b98600;
    background: #b98600;
    color: #FFF;
    border-radius: 10px;
    padding: 10px;
	margin:0;
}
.form_news span.ajax-loader {
    position: absolute;
    right: 0;
    bottom: 0;
}
.form-group span input,.form-group span select,.form-group span textarea {
    border-radius: 50px;
    width: 100%;
    padding: 15px;
	transition: all 0.5s;
}
.form-group span input:focus,.form-group span select:focus,.form-group span textarea:focus {
    border-color: var(--color-primary); 
	color: var(--color-primary);
}
.form-group span textarea {
    border-radius: 15px;
}
form input.wpcf7-form-control.wpcf7-submit {
    background-image: linear-gradient(18deg, #0e7a92, var(--color-contrast), var(--color-highlight));
    border: 0;
    border-radius: 50px;
    min-width: 200px;
    color: var(--color-primary);
    text-transform: uppercase;
    font-weight: 700;
    letter-spacing: 0.08em;
	transition:all 0.6s;
}
form input.wpcf7-form-control.wpcf7-submit:hover{
	box-shadow: rgba(0,0,0,0.25) 0 6px 10px;
}